///////////////////////////////////////////////////////////////////////
//
// TADialog.h : interface and definitions for CRequestedFileDialog           
//
///////////////////////////////////////////////////////////////////////
//
// Copyright (c) 1997-98 by the IBM Corporation. All Rights Reserved.
//
// Author:          Angel  L. Diaz    aldiaz@us.ibm.com
//                  Robert S. Sutor   sutor@us.ibm.com
//
// IBM MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
// THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
// TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
// PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR
// ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING OR MODIFYING
// THIS SOFTWARE OR ITS DERIVATIVES.
//
///////////////////////////////////////////////////////////////////////

#ifndef _IBM_TADIALOG_H
#define _IBM_TADIALOG_H

// =====================================================================
//
// CRequestedFileDialog
//
// =====================================================================

class CRequestedFileDialog : public CDialog
{
  public: // Constructor/Destructor
	                             CRequestedFileDialog(CWnd* pParent = NULL);   // standard constructor
                                 CRequestedFileDialog(CString sTextString, CWnd* pParent = NULL);

  public: // Dialog Data
	//{{AFX_DATA(CRequestedFileDialog)
	enum { IDD = IDD_TEXT_DLG };
	CString	                     m_TextString;
	//}}AFX_DATA


  public: // virtual function overrides
	//{{AFX_VIRTUAL(CRequestedFileDialog)
	protected:
	virtual void                 DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


  protected: // Generated message map functions
	//{{AFX_MSG(CRequestedFileDialog)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif 
