///////////////////////////////////////////////////////////////////////
//
// TAMthLnk.cpp : CRequestedFileDialog implementation file
//
///////////////////////////////////////////////////////////////////////
//
// Copyright  1997-98 by the IBM Corporation. All Rights Reserved.
//
// Author:          Angel L. Diaz     aldiaz@us.ibm.com
//                  Robert S. Sutor   sutor@us.ibm.com
//
// IBM MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
// THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
// TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
// PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR
// ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING OR MODIFYING
// THIS SOFTWARE OR ITS DERIVATIVES.
//
///////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TAMthLnk.h"
#include "TADialog.h"

#ifdef _DEBUG
    #define new DEBUG_NEW
    #undef THIS_FILE
    static char THIS_FILE[] = __FILE__;
#endif

// =====================================================================
//
// CRequestedFileDialog: Constructor/Destructor
//
// =====================================================================

CRequestedFileDialog::CRequestedFileDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CRequestedFileDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRequestedFileDialog)
	m_TextString = _T("");
	//}}AFX_DATA_INIT
}

CRequestedFileDialog::CRequestedFileDialog(CString sTextString, CWnd* pParent/*=NULL*/)
	: CDialog(CRequestedFileDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRequestedFileDialog)
	m_TextString = sTextString;
	//}}AFX_DATA_INIT
}

// =====================================================================
//
// CRequestedFileDialog: Virtual function overrides
//
// =====================================================================

void CRequestedFileDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRequestedFileDialog)
	DDX_Text(pDX, IDC_EDIT1, m_TextString);
	//}}AFX_DATA_MAP
}

// =====================================================================
//
// CRequestedFileDialog: Message handlers
//
// =====================================================================

BEGIN_MESSAGE_MAP(CRequestedFileDialog, CDialog)
	//{{AFX_MSG_MAP(CRequestedFileDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
